/*****************************************************************************
 *- Utility Function Declarations (Non-Exported) ----------------------------*
 *****************************************************************************/

#include <visatype.h>

#define RSCMW_NAN                 9.91e+37
#define RSCMW_NAN_VI_INT32        0x80000000

ViStatus rssmxv_InitAttributes(ViSession instrSession);

ViStatus rssmxv_DefaultInstrSetup(ViSession instrSession);

ViStatus rssmxv_CheckStatus(ViSession instrSession);

ViStatus rssmxv_pathRepCap(ViSession instrSession,
                           ViInt32   path,
                           ViChar    repCap[]);

ViStatus rssmxv_utility_error_message(ViSession instrSession,
                                      ViStatus  errorCode,
                                      ViChar    errorMessage[]);
